> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Note Template Detail

> Get a single note template with signed URLs for placeholder images.



## OpenAPI

````yaml get /notes/templates/{template_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /notes/templates/{template_id}:
    get:
      tags:
        - provider
        - scribe
        - note
        - templates
      summary: Get Note Template Detail
      description: Get a single note template with signed URLs for placeholder images.
      operationId: get_note_template_detail_notes_templates__template_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoteTemplateTableItem-Output'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteTemplateTableItem-Output:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        questions:
          items:
            $ref: '#/components/schemas/NoteQuestionDetail'
          type: array
          title: Questions
          default: []
        userIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Userids
        isFavorited:
          type: boolean
          title: Isfavorited
          default: false
        createdDate:
          type: string
          format: date-time
          title: Createddate
        expiryDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expirydays
      type: object
      required:
        - id
        - name
        - createdDate
      title: NoteTemplateTableItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NoteQuestionDetail:
      properties:
        id:
          type: string
          title: Id
        templateId:
          type: string
          title: Templateid
        position:
          type: integer
          title: Position
        questionType:
          $ref: '#/components/schemas/QuestionType'
        required:
          type: boolean
          title: Required
        isArchived:
          type: boolean
          title: Isarchived
          default: false
        mappingKey:
          anyOf:
            - $ref: '#/components/schemas/QuestionMapping'
            - type: 'null'
        dynamicFieldId:
          anyOf:
            - type: string
            - type: 'null'
          title: Dynamicfieldid
        dynamicFieldName:
          anyOf:
            - type: string
            - type: 'null'
          title: Dynamicfieldname
        data:
          additionalProperties: true
          type: object
          title: Data
      type: object
      required:
        - id
        - templateId
        - position
        - questionType
        - required
        - data
      title: NoteQuestionDetail
      description: >-
        A question in a note template. Similar to form questions but without
        conditions.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    QuestionType:
      type: string
      enum:
        - ADDRESS
        - DATE
        - TEXT
        - NUMBER
        - TEXT_AREA
        - SINGLE_SELECT
        - RADIAL_SINGLE_SELECT
        - MULTI_SELECT
        - RADIAL_MULTI_SELECT
        - TOGGLE
        - SIGNATURE
        - FILE_UPLOAD
        - PHONE_NUMBER
        - EMAIL
        - PAYMENT_METHOD
        - TAG
        - DISCLAIMER
        - STATEMENT
        - DOCUMENT
        - FEET_INCHES_HEIGHT
        - POUNDS_WEIGHT
        - CALCULATED_SCORE
        - MEDICATIONS
        - SCRIBE_ATTACHMENTS
      title: QuestionType
    QuestionMapping:
      type: string
      enum:
        - first_name
        - last_name
        - email
        - phone_number
        - date_of_birth
        - gender
        - address
        - address_line_two
        - city
        - state
        - zip_code
        - country
        - weight
        - height
        - allergies
        - medications
        - family_history
        - medical_history
        - prescriptions
        - surgical_history
        - social_history
        - autoimmune_disorders
        - skin_conditions
        - neurological_conditions
        - payment_method
        - primary_insurer_name
        - primary_pverify_code
        - primary_member_id
        - primary_group_id
        - primary_policy_holder_name
        - primary_policy_holder_dob
        - primary_phone_number
        - secondary_insurer_name
        - secondary_pverify_code
        - secondary_member_id
        - secondary_group_id
        - secondary_policy_holder_name
        - secondary_policy_holder_dob
        - secondary_phone_number
      title: QuestionMapping

````